Comment 26 for bug 1792544

NGINX has technically said this is won't fix:

From a response to my inquiry: http://mailman.nginx.org/pipermail/nginx-devel/2018-September/011448.html

------

Hello!

On Tue, Sep 18, 2018 at 08:12:20AM -0400, Thomas Ward wrote:

> Downstream in Ubuntu, it has been proposed to demote pcre3 and
> use pcre2 instead as it is newer.
> https://trac.nginx.org/nginx/ticket/720 shows it was marked 4
> years ago that NGINX does not support pcre2. Are there any
> plans to use pcre2 instead of pcre3?

There are no immediate plans.

When we last checked, there were no problems with PCRE, but PCRE2
wasn't available in most distributions we support, making the
switch mostly meaningless.

Also, it looks like PCRE2 is still not supported even by Exim,
which is the parent project of PCRE and PCRE2:

https://bugs.exim.org/show_bug.cgi?id=1878

As such, adding PCRE2 support to nginx looks premature.

--
Maxim Dounin
http://mdounin.ru/